Bug 977268 - targetcli fails to clear configuration
targetcli fails to clear configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: targetcli (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 04:04 EDT by Bruno Goncalves
Modified: 2014-06-18 03:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:01:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2013-06-24 04:04:55 EDT
Description of problem:
Once there is an iSCSI target defined it is not possible to delete nor clear the whole configuration.

Version-Release number of selected component (if applicable):
targetcli-2.1.fb25-1.el7

How reproducible:
100%

Steps to Reproduce:
1.targetcli /iscsi create iqn.2009-10.com.redhat:storage-1
2.targetcli /iscsi/iqn.2009-10.com.redhat:storage-1/tpg1/portals create ::0 3260

3.Try to delete it:
# targetcli /iscsi delete iqn.2009-10.com.redhat:storage-1
Cannot change iser

4. Try to clear configuration:
# targetcli clearconfig True
Cannot change iser

Expected results:
iSCSI target should be deleted. Clear configuration should also work.
Comment 2 Andy Grover 2013-06-24 13:40:17 EDT
Should be fixed with kernel 3.10-rc7 or later.
Comment 3 Bruno Goncalves 2013-07-01 11:11:11 EDT
Reproduced on:
uname -r
3.10.0-0.rc4.59.el7.x86_64

fixed on:
uname -r
3.10.0-0.rc7.64.el7.x86_64
Comment 4 Ludek Smid 2014-06-13 06:01:31 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.